[arch-commits] Commit in mkvtoolnix/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Fri Jun 18 15:29:49 EDT 2010


    Date: Friday, June 18, 2010 @ 15:29:48
  Author: ibiru
Revision: 82904

upgpkg: mkvtoolnix 4.0.0-2
boost 1.43 rebuild, added package function

Modified:
  mkvtoolnix/trunk/PKGBUILD

----------+
 PKGBUILD |   21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-18 19:29:33 UTC (rev 82903)
+++ PKGBUILD	2010-06-18 19:29:48 UTC (rev 82904)
@@ -4,22 +4,25 @@
 
 pkgname=mkvtoolnix
 pkgver=4.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Set of tools to create, edit and inspect Matroska files"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.bunkus.org/videotools/mkvtoolnix/index.html"
-depends=('libmatroska' 'flac' 'libvorbis' 'file' 'boost' 'lzo2')
-makedepends=('wxgtk')
-optdepends=('wxgtk: mkvmerge and mkvinfo GUI')
+depends=('libmatroska' 'flac' 'libvorbis' 'file' 'boost-libs' 'lzo2')
+makedepends=('wxgtk' 'boost')
+optdepends=('wxgtk: mkvmerge,mkvinfo and mmg GUI')
 source=("http://www.bunkus.org/videotools/${pkgname}/sources/${pkgname}-${pkgver}.tar.bz2")
 md5sums=('434eb24b9c49a99ac386bd2c4c525538')
 
 build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    ./configure --prefix=/usr \
+        --with-boost-libdir=/usr/lib || return 1
+    make || return 1
+}
 
-  ./configure --prefix=/usr \
-              --with-boost-libdir=/usr/lib || return 1
-  make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
+package () {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list